//Datei: BACKCNT.H
// Rckwrtszhler mit PIC16F84
//
// Pindefinitionen fr den PIC
//
// Holger Klabunde
// Copyright 2001
// 10.05.2001
// Compiler CC5x

//Power ein/ausschalten
#define RELAIS	0x80
#define RELAIS_ON() { lcdport|=RELAIS; PORTB=lcdport; }
#define RELAIS_OFF() { lcdport&=~RELAIS; PORTB=lcdport; }

//Eingnge fr die 5 Bedientaster an PORTA
//Masken zum auswerten der Tastatur
#define DOWN	0x01
#define UP	0x02
#define RIGHT	0x04
#define START	0x08
#define STORE	0x10
#define ONOFF   0x40 //Ein/Ausschalter an Portb.6

//Werte fr mode
#define OFF     0
#define ON      1

//Werte fr gogo
#define TICKS	25	//TMR0 Interrupts fr 1 Sekunde
#define ENABLE  	0     //Kennung Countdown Start
#define ENDCOUNTDOWN 	0xFE  //Kennung Countdown beendet !
#define DISABLE 	0xFF  //Kennung kein Countdown mehr, Relais off
